<?php

namespace App\Dto;

class NewsListDto implements DtoInterface
{
    /**
     * @param PaginationDto $pagination
     * @param DtoCollection<NewsListingElementDto> $list
     * @param NewsFilterVariants $filterVariants
     */
    public function __construct(
        public PaginationDto $pagination,

        /** @var DtoCollection<NewsListingElementDto>  */
        public DtoCollection $list,

        public NewsFilterVariants $filterVariants,
    ) {}
}
